package com.bankaudit.process.model;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="risk_control_details")
public class RiskControlDetails implements Serializable{
	
	/*Table: risk_control_details
	-------------------------------

	Column Information
	----------------------

	Field                   Type          Collation        Null    Key     Default            Extra                        Privileges                       Comment  
	----------------------  ------------  ---------------  ------  ------  -----------------  ---------------------------  -------------------------------  ---------
	id                      int(20)       (NULL)           NO      PRI     (NULL)             auto_increment               select,insert,update,references           
	legal_entity_code       int(2)        (NULL)           NO              (NULL)                                          select,insert,update,references           
	audit_type_code         varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	audit_id                varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	observation_id          varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	control_description     varchar(200)  utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	control_frequency       varchar(20)   utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	status                  varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	entity_status           varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	maker                   varchar(20)   utf8_general_ci  NO              (NULL)                                          select,insert,update,references           
	maker_timestamp         timestamp     (NULL)           NO              CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP  select,insert,update,references           
	checker                 varchar(20)   utf8_general_ci  YES             (NULL)                                          select,insert,update,references           
	checker_timestamp       timestamp     (NULL)           YES             (NULL)                                          select,insert,update,references           
	businessdate_timestamp  timestamp     (NULL)           YES             (NULL)                                          select,insert,update,references           
	sysdate_timestamp       timestamp     (NULL)           YES             (NULL)                                          select,insert,update,references     	
	*/
	
	@Id
	@Column(name="id")
	Integer id;
	
	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Id
	@Column(name="audit_id")
	private String auditId;
	
	@Id
	@Column(name="observation_id")
	private String observationId;
	
	@Column(name="control_description")
	private String controlDescription;
	
	@Column(name="control_frequency")
	private String controlFrequency;
	
	@Column(name="entity_status")
	private String entityStatus;

	@Column(name="status")
	private String status;

	@Column(name="maker")
	private String maker;

	@Column(name="maker_timestamp")
	private Date makerTimestamp;

	@Column(name="checker")
	private String checker;

	@Column(name="checker_timestamp")
	private Date checkerTimestamp;

	@Column(name="businessdate_timestamp")
	private Date businessdateTimestamp;

	@Column(name="sysdate_timestamp")
	private Date sysdateTimestamp;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}

	public String getObservationId() {
		return observationId;
	}

	public void setObservationId(String observationId) {
		this.observationId = observationId;
	}

	public String getControlDescription() {
		return controlDescription;
	}

	public void setControlDescription(String controlDescription) {
		this.controlDescription = controlDescription;
	}

	public String getControlFrequency() {
		return controlFrequency;
	}

	public void setControlFrequency(String controlFrequency) {
		this.controlFrequency = controlFrequency;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getMaker() {
		return maker;
	}

	public void setMaker(String maker) {
		this.maker = maker;
	}

	public Date getMakerTimestamp() {
		return makerTimestamp;
	}

	public void setMakerTimestamp(Date makerTimestamp) {
		this.makerTimestamp = makerTimestamp;
	}

	public String getChecker() {
		return checker;
	}

	public void setChecker(String checker) {
		this.checker = checker;
	}

	public Date getCheckerTimestamp() {
		return checkerTimestamp;
	}

	public void setCheckerTimestamp(Date checkerTimestamp) {
		this.checkerTimestamp = checkerTimestamp;
	}

	public Date getBusinessdateTimestamp() {
		return businessdateTimestamp;
	}

	public void setBusinessdateTimestamp(Date businessdateTimestamp) {
		this.businessdateTimestamp = businessdateTimestamp;
	}

	public Date getSysdateTimestamp() {
		return sysdateTimestamp;
	}

	public void setSysdateTimestamp(Date sysdateTimestamp) {
		this.sysdateTimestamp = sysdateTimestamp;
	}

}
